Main Page Groups Namespaces

# hide.h File Reference

## Namespaces

namespace | SigC

## Functions

template <class T_hidden1, class T_return> SigC::Slot1<T_return, T_hidden1> | hide (const SigC::Slot0<T_return>& _A_slot)
template <class T_hidden1, class T_return, class T_arg1> SigC::Slot2< T_return, T_arg1, T_hidden1 > | hide (const SigC::Slot1<T_return, T_arg1>& _A_slot)
template <class T_hidden1, class T_return, class T_arg1, class T_arg2> SigC::Slot3< T_return, T_arg1, T_arg2, T_hidden1 > | hide (const SigC::Slot2<T_return, T_arg1, T_arg2>& _A_slot)
template <class T_hidden1, class T_return, class T_arg1, class T_arg2, class T_arg3> SigC::Slot4< T_return, T_arg1, T_arg2, T_arg3, T_hidden1 > | hide (const SigC::Slot3<T_return, T_arg1, T_arg2, T_arg3>& _A_slot)
template <class T_hidden1, class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4> SigC::Slot5< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_hidden1 > | hide (const SigC::Slot4<T_return, T_arg1, T_arg2, T_arg3, T_arg4>& _A_slot)
template <class T_hidden1, class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5> SigC::Slot6< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_hidden1 > | hide (const SigC::Slot5<T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5>& _A_slot)
template <class T_hidden1, class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6> SigC::Slot7< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_hidden1 > | hide (const SigC::Slot6<T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6>& _A_slot)

## Function Documentation

template <class T_hidden1, class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
SigC::Slot7<T_return, T_arg1,T_arg2,T_arg3,T_arg4,T_arg5,T_arg6, T_hidden1> hide | ( | const SigC::Slot6<T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6>& | _A_slot | ) | `[inline]`

template <class T_hidden1, class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
SigC::Slot7<T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_hidden1, T_hidden2> SigC::hide | ( | const SigC::Slot5<T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5>& | _A_slot | ) | `[inline]`

template <class T_hidden1, class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4>
SigC::Slot6<T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_hidden1, T_hidden2> SigC::hide | ( | const SigC::Slot4<T_return, T_arg1, T_arg2, T_arg3, T_arg4>& | _A_slot | ) | `[inline]`

template <class T_hidden1, class T_return, class T_arg1, class T_arg2, class T_arg3>
SigC::Slot5<T_return, T_arg1, T_arg2, T_arg3, T_hidden1, T_hidden2> SigC::hide | ( | const SigC::Slot3<T_return, T_arg1, T_arg2, T_arg3>& | _A_slot | ) | `[inline]`

template <class T_hidden1, class T_return, class T_arg1, class T_arg2>
SigC::Slot4<T_return, T_arg1, T_arg2, T_hidden1, T_hidden2> SigC::hide | ( | const SigC::Slot2<T_return, T_arg1, T_arg2>& | _A_slot | ) | `[inline]`

template <class T_hidden1, class T_return, class T_arg1>
SigC::Slot3<T_return, T_arg1, T_hidden1, T_hidden2> SigC::hide | ( | const SigC::Slot1<T_return, T_arg1>& | _A_slot | ) | `[inline]`

template <class T_hidden1, class T_return>
SigC::Slot2<T_return, T_hidden1, T_hidden2> SigC::hide | ( | const SigC::Slot0<T_return>& | _A_slot | ) | `[inline]`